package expint;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw();
$VERSION = '0.01';

bootstrap expint $VERSION;

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

expint - Perl extension for blah blah blah

=head1 SYNOPSIS

  Here's how you integrate exp(f(x)) from $a to $b
  use expint;

  my @xy;
  my $x;
  for($x=...)	{
  	push @xy [$x, f($x)];
  }
  my @s = sort {$a->[0] <=> $b->[0];} @xy;
  my $i;
  my $sum = 0;
  for($i=1; $i<$#s; $i++)	{
	$sum += expint($xy[$i-1]->[0], $xy[$i-1]->[1], $xy[$i]->[0], $xy[$i]->[1],
			$xy[$i+1]->[0], $xy[$i+1]->[1]);
  }
  $sum += expend($a, $xy[$i-1]->[0], $xy[$i-1]->[1], $xy[$i]->[0], $xy[$i]->[1],
			$xy[$i+1]->[0], $xy[$i+1]->[1]);
  $sum -= expend($b, $xy[$i+1]->[0], $xy[$i+1]->[1], $xy[$i]->[0], $xy[$i]->[1],
			$xy[$i-1]->[0], $xy[$i-1]->[1]);

=head1 DESCRIPTION

Stub documentation for expint was created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head1 AUTHOR

G. P. Kochanski gpk@bell-labs.com

=head1 SEE ALSO

perl(1).

=cut
